Acme.Serve

## Class Serve.ServeInputStream

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - Acme.Serve.Serve.ServeInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    Serve

      public static class Serve.ServeInputStream
      extends javax.servlet.ServletInputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serve.ServeInputStream(InputStream in, Serve.ServeConnection conn)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Available bytes to read without blocking.
    `void` | `chunking(boolean chunking)`
    `void` | `close()`
    `void` | `mark(int readlimit)` Not Implemented
    `boolean` | `markSupported()` Mark is not supported
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `protected String` | `readLine(int maxLen)` Read a line ended by CRLF, used internally only for reading headers.
    `void` | `reset()`
    `long` | `skip(long len)`

    - ### Methods inherited from class javax.servlet.ServletInputStream

      `isFinished, isReady, readLine, setReadListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serve.ServeInputStream

          public Serve.ServeInputStream(InputStream in,
                                Serve.ServeConnection conn)

      Constructor

  - ### Method Detail

    - #### chunking

          public void chunking(boolean chunking)

      Parameters:
        `chunking` -

    - #### readLine

          protected String readLine(int maxLen)
                             throws IOException

      Read a line ended by CRLF, used internally only for reading headers. No char encoding, ASCII only
      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip(long len)
                    throws IOException

      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()
                        throws IOException

      Available bytes to read without blocking. If you are unlucky may return 0 when there are more
      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

    - #### markSupported

          public boolean markSupported()

      Mark is not supported
      Overrides:
        `markSupported` in class `InputStream`
      Returns:
        false

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `InputStream`
      Throws:
        `IOException`

    - #### mark

          public void mark(int readlimit)

      Not Implemented
      Overrides:
        `mark` in class `InputStream`
      Parameters:
        `readlimit` -

Copyright © 2014. All Rights Reserved.